List Customer Addresses
Returns a list of Customer Addresses. Optional filter parameters can be passed in.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Customers | modify | `store_v2_customers` |
| Customers | read-only | `store_v2_customers_read_only` |
| Stored Payment Instruments | modify | `store_stored_payment_instruments` |
| Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Headers
Accept
Query parameters
page
Page number. page=1
limit
Items count per page. limit=50
company:in
Filter items by company. company:in=bigcommerce,commongood
name:in
Filter items by first_name and last_name. name:in=James+Moriarty
customer_id:in
Filter by the ID of the customer. Also accepts comma-separated IDs to filter for multiple customers. customer_id:in=23,24,55
include
Indicates whether to include customer address sub-resources:
* `formfields` - address form fields
`include=formfields`
Allowed values:
id:in
Filter items by ID.
id:in=4,5,6
Response
data
meta
Data about the response, including pagination and collection totals.